Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Payment Links

Deactivate Multi-Link

OpenAPI Spec

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

DELETE
/public/api/v1/multi-links/{multiLinkId}

Deactivates a multi-link so that its public URL and QR code can no longer start new payment sessions. This operation is idempotent: deactivating an already deactivated multi-link succeeds.

Existing payment sessions created from the multi-link are not affected.

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

multiLinkIdstring
Required

The ID of the multi-link.

Header Parameters

Idempotency-Keystring

Ensures that a request can be safely retried without causing duplicate operations. Typically used for actions like payment creation and operations such as refund and void to prevent accidental double processing.

  • If a response is replayed due to using the same key, the response will include the header Idempotent-Replayed: true.
  • Idempotency keys are scoped by [Key, Endpoint, HTTP Verb]; the same key on a different endpoint or method will not replay the original response.
  • Responses are cached for 24 hours. After that, the cache is cleared, so idempotency is only guaranteed within 24 hours of the initial request.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/public/api/v1/multi-links/KSNMWEWZPPA" \  -H "Idempotency-Key: c4f5e8d2-1234-5678-90ab-cdef12345678"
Empty
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}